Skip to main content
POST
Generate link_url

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json

request body for mandate authorization link

Parameters to customize the behaviour of Finverse Link's UI to fit your implementation requirements

mandate_id
string
required

Mandate ID of the Mandate to be authorized (created via POST /mandates).

Maximum string length: 100

Response

Successful

access_token
string
required

Link session token (referred to as link_token)

expires_in
integer
required

Token validity length (in seconds)

URL to launch the Finverse Link UI flow associated with this link_token, for the end-user to provide required consent and Mandate/Payment inputs.

token_type
enum<string>
required

Possible values: Bearer

Available options:
Bearer